package org.mathcs.ibookmark;

/**
 * Class to define a "bookmark". By definition it is comprised of a "title", a "url", and
 * a state of being selected or not.
 * 
 * @author Bert Wachsmuth
 * @version 1.0 (10/2013)
 */
import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;

public class Bookmark
{
	private String url;
	private String title;
	private boolean isSelected;
	
	public Bookmark(String title, String url)
	{
		super();
		this.url = url;
		this.title = title;
		isSelected = false;
	}

	public Bookmark(BufferedReader in) throws IOException
	{
		this(in.readLine(), in.readLine());
	}
	
	public String getUrl()
	{
		return url;
	}

	public void setUrl(String url)
	{
		this.url = url;
	}

	public String getTitle()
	{
		return title;
	}

	public void setTitle(String title)
	{
		this.title = title;
	}
	
	public boolean isSelected()
	{
		return isSelected;
	}

	public void setSelected(boolean isSelected)
	{
		this.isSelected = isSelected;
	}
	
	public void update(Bookmark item)
	{
		this.title = item.title;
		this.url = item.url;
	}
	
	public void save(PrintWriter out)
	{
		out.println(title);
		out.println(url);
	}
	
	public String toString()
	{
		return title + "[" + url + "]";
	}
}
