package org.mathcs.ibookmark;

/**
 * Defines how a bookmark is rendered in a list, i.e. how it is represented visually.
 * Serves as template to all items in a list of bookmarks.
 * 
 * @author Bert Wachsmuth
 * @version 1.0 (10/2013)
 */
import android.content.Context;
import android.graphics.Color;
import android.widget.LinearLayout;
import android.widget.TextView;

public class BookmarkView extends LinearLayout
{
	private TextView url;
	private TextView title;
	
	public BookmarkView(Context context)
	{
		super(context);
		this.url = new TextView(context);
		this.title = new TextView(context);
		
		setOrientation(LinearLayout.VERTICAL);
		
		addView(title);
		addView(url);		
	}

	public void setData(Bookmark item)
	{
		title.setText(item.getTitle());
		url.setText(item.getUrl());
		
		if (item.isSelected())
		{
			title.setBackgroundColor(Color.GRAY);
			url.setBackgroundColor(Color.GRAY);
		}
		else
		{
			title.setBackgroundColor(Color.WHITE);
			url.setBackgroundColor(Color.WHITE);
		}
	}
}
